AppendVertex Example

Using Programming Languages other than VBA

Sub Example_AppendVertex()
	' This example creates a polyline in model space.
	' It then appends a vertex to the polyline.

	Dim plineObj As AcadPolyline
	Dim points(0 To 14) As Double


	' Define the 2D polyline points
	points(0) = 1: points(1) = 1: points(2) = 0
	points(3) = 1: points(4) = 2: points(5) = 0
	points(6) = 2: points(7) = 2: points(8) = 0
	points(9) = 3: points(10) = 2: points(11) = 0
	points(12) = 4: points(13) = 4: points(14) = 0
	
	' Create a lightweight Polyline object in model space
	Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
	ZoomAll
	MsgBox "Append the vertex 4, 1, 0.", , "AppendVertex Example"

	Dim newVertex(0 To 2) As Double
	newVertex(0) = 4: newVertex(1) = 1: newVertex(2) = 0
	plineObj.AppendVertex newVertex
	ZoomAll
	MsgBox "The vertex 4, 1, 0 as been appended.", , "AppendVertex Example"

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.